Upgrade to Version 9 Fails With Error 'This Installation Package Could Not Be Opened.'

Version 7

    Symptoms

     

    Upgrading to version 9 fails with errors.
    3-installer can't be found.png

    • This installation package could not be opened.  Verify that the package exists and that you can access it, or contact the application vendor to verify that this is a valid Windows Installer package.

     

    Errors located in the Protect Installer log files (ProtectInstall_20130903_204512.log) in the TEMP directory (%TEMP%)

     

    • 2013-09-03T20:45:12.7989609Z 0b0c E BitsNotification.cpp:156 Error from BITS: The server does not support the necessary HTTP protocol. Background Intelligent Transfer Service (BITS) requires that the server support the Range protocol header.

     

    Cause

     

    Clicking the prompt from Protect to upgrade will download a no longer supported web installer.

     

    1-upgrade to 9 available.png

     

    The web installer is 1.15mb where the full installation file is 154mb.

     

    *Note the Name and Size difference between the 2 files.

     

    2-web installer.png4-offline installer.png

     

     

    Resolution

     

    Download the full installation file from http://www.shavlik.com/downloads/.

    *Note: Always read upgrade documenation prior to running the upgrade. Failure to do so increases likelihood of upgrade issues.

     

    Affected Product(s)


    Shavlik Protect 9.0.x